## hishel 0.0.30

=== requirements.txt ===
-e .[yaml,redis,sqlite,s3]

# linting
ruff==0.3.0
mypy==1.10.0

# docs
mkdocs==1.5.3
mkdocs-material==9.5.1

# tests
pytest==8.0.2
types-boto3==1.0.2
types-redis==4.6.0.20240425
anyio==4.4.0
trio==0.25.0
coverage==7.4.4
types-PyYAML==6.0.12.20240311

# build
hatch==1.7.0
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
hishel (0.0.30-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 24 Sep 2024 20:58:20 +0000

hishel (0.0.30-1) unstable; urgency=medium

  * Initial release. (Closes: #1078191)

 -- eevelweezel <eevel.weezel@gmail.com>  Wed, 14 Aug 2024 22:14:19 -0600

=== debian/control ===
Source: hishel
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 eevelweezel <eevel.weezel@gmail.com>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-anyio <!nocheck>,
 python3-boto3,
 python3-trio <!nocheck>,
 python3-hatch-fancy-pypi-readme,
 python3-hatchling,
 python3-httpx,
 python3-packaging,
 python3-typing-extensions,
 python3-pytest <!nocheck>,
 python3-redis,
 python3-yaml,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/hishel
Vcs-Git: https://salsa.debian.org/python-team/packages/hishel.git
Homepage: https://github.org/karpetrosyan/hishel
Rules-Requires-Root: no

Package: python3-hishel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Persistent cache implementation for httpx and httpcore
 Hishel (հիշել, remember) is a library that implements
 HTTP Caching for HTTPX and HTTP Core libraries in accordance with
 RFC 9111, the most recent caching specification.

## hishel 0.0.33

=== debian/changelog ===
hishel (0.0.33-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Fix homepage information.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Oct 2024 20:43:50 -0400

## hishel 0.1.1

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 types-redis==4.6.0.20240425
 anyio==4.4.0
 trio==0.25.0
-coverage==7.4.4
+coverage==7.6.0
 types-PyYAML==6.0.12.20240311
 
 # build

=== debian/changelog ===
hishel (0.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.1.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 24 Nov 2024 16:36:21 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hishel
 Vcs-Git: https://salsa.debian.org/python-team/packages/hishel.git
-Homepage: https://github.org/karpetrosyan/hishel
+Homepage: https://github.com/karpetrosyan/hishel
 Rules-Requires-Root: no
 
 Package: python3-hishel

=== debian/watch ===
version=4
opts="uversionmangle=s/a\d//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/karpetrosyan/hishel/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## hishel 0.1.2

=== debian/changelog ===
hishel (0.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.2.
  * d/control: bump Standards-Version to 4.7.2.
  * Add d/salsa-ci.yml.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 05 Apr 2025 20:44:40 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-pytest <!nocheck>,
  python3-redis,
  python3-yaml,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hishel
 Vcs-Git: https://salsa.debian.org/python-team/packages/hishel.git
 Homepage: https://github.com/karpetrosyan/hishel

## hishel 0.1.3

=== debian/changelog ===
hishel (0.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.3.
  * d/control: remove Rules-Requires-Root.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 13 Oct 2025 20:10:53 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hishel
 Vcs-Git: https://salsa.debian.org/python-team/packages/hishel.git
 Homepage: https://github.com/karpetrosyan/hishel
-Rules-Requires-Root: no
 
 Package: python3-hishel
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hishel
export PYBUILD_TEST_ARGS=--ignore=tests/_async/test_storages.py --ignore=tests/_sync/test_storages.py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: karpetrosyan
Project: hishel

## hishel 0.1.5

=== debian/changelog ===
hishel (0.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.5.
  * debian/control: Update (build-)dependencies.
  * debian/rules: Further ignore new tests that need internet connection.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 10:13:53 -0500

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,26 @@
  eevelweezel <eevel.weezel@gmail.com>,
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
  python3-all,
  python3-anyio <!nocheck>,
+ python3-anysqlite,
  python3-boto3,
  python3-trio <!nocheck>,
  python3-hatch-fancy-pypi-readme,
  python3-hatchling,
  python3-httpx,
+ python3-inline-snapshot <!nocheck>,
+ python3-msgpack (>= 1.1.2),
  python3-packaging,
+ python3-time-machine <!nocheck>,
  python3-typing-extensions,
  python3-pytest <!nocheck>,
  python3-redis,
  python3-yaml,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hishel
 Vcs-Git: https://salsa.debian.org/python-team/packages/hishel.git
 Homepage: https://github.com/karpetrosyan/hishel

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hishel
export PYBUILD_TEST_ARGS=--ignore=tests/_async/test_storages.py --ignore=tests/_sync/test_storages.py \
       	--ignore=tests/beta/test_async_httpx.py --ignore=tests/beta/test_requests.py --ignore=tests/beta/test_sync_httpx.py

%:
	dh $@ --with python3 --buildsystem=pybuild

## hishel 1.1.9

=== debian/changelog ===
hishel (1.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.9.
  * debian/control: Update build-dependencies.
  * debian/rules: Adjust ignored test file names accordingly.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 10:23:41 -0500

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-anyio <!nocheck>,
  python3-anysqlite,
  python3-boto3,
+# python3-fastapi (>= 0.119),
  python3-trio <!nocheck>,
  python3-hatch-fancy-pypi-readme,
  python3-hatchling,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = hishel
export PYBUILD_TEST_ARGS=--ignore=tests/_async/test_storages.py --ignore=tests/_sync/test_storages.py \
       	--ignore=tests/test_async_httpx.py --ignore=tests/test_requests.py --ignore=tests/test_sync_httpx.py

%:
	dh $@ --with python3 --buildsystem=pybuild
